alxndr's blog


killing processes

Signals to try in order: 1, 15, 2, only then 9

Continue Reading

RequireJS 'invalid require call' error"

Ruh roh. Uncaught Error: Invalid require call http://requirejs.org/docs/errors.html#requireargs require.js:167 makeError require.js:167 localRequire require.js:1372 Module.fetch require.js:806 Module.check require.js:841 Module.enable require.js:1144 context.enable require.js:1512

Continue Reading

setting up fancy fonts for vim in iTerm

Might need a patched font to get the fancy glyphs, e.g. Inconsolata for Powerline In iTerm: use the patched font: Preferences > Profiles > Text > Regular Font and Non-ASCII Font don’t make questionable characters doublewidth: uncheck the "Treat ambiguous-width as double

Continue Reading
alxndr's blog